Dataset queries
Get a Hubble dataset schema
Path Parameters
dataset*string
Official Stellar ETL/Hubble table name returned by the dataset catalog.
Match
^[a-z][a-z0-9_]*$Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/analytics/datasets/history_transactions"{ "database": "stellar_hubble", "dataset": { "columns": [ { "name": "transaction_hash", "position": 1, "type": "String" } ], "name": "history_transactions", "rowCount": "25000000" }, "generatedAt": "2026-07-15T16:44:00.000Z", "ingestion": { "completedBatches": "62002", "failedBatches": "0", "startedBatches": "1", "minimumLedger": "2", "maximumLedger": "63490367", "totalRows": "125000000" }, "coverage": { "completedRanges": [ { "firstLedger": "2", "lastLedger": "63489999" }, { "firstLedger": "63490304", "lastLedger": "63490367" } ], "contiguousFirstLedger": "2", "contiguousLastLedger": "63489999", "contiguousLedgerCount": "63489998", "supplementalLedgerCount": "64", "totalLedgerCount": "63490062", "nextLedger": "63490000", "minimumLedger": "2", "maximumLedger": "63490367", "gapCount": 1 }, "officialSchemaSource": "stellar/stellar-etl"}